import { useLocalStore } from 'mobx-react-lite';
import { axios } from '@choerodon/boot';
import { handlePromptError } from "../../../../../../../../utils";
export default function useStore() {
  return useLocalStore(function () {
    return {
      selectedRecord: null,
      setSelectedRecord: function setSelectedRecord(record) {
        this.selectedRecord = record;
      },

      get getSelectedRecord() {
        return this.selectedRecord;
      }

    };
  });
}